import { integer, pgTable, text, timestamp, uuid } from "drizzle-orm/pg-core";

export const deploymentHistory = pgTable("deployment_history", {
	id: uuid("id").defaultRandom().primaryKey(),
	serverId: uuid("server_id"),
	buildNumber: integer("build_number").notNull(),
	status: text("status").notNull(), // started, success, failed
	message: text("message"),
	createdAt: timestamp("created_at", { withTimezone: true }).defaultNow(),
});
